---
# so this is a bit of a hack to work around the fact that after installing the currently tested gpu drivers (410.93) the nvidia-uvm devices were not being properly created at startup. should be reevaluated after driver upgrade
- name: copy uvm fix script
  copy:
    src: nvidia-uvm-fix.sh
    dest: /opt/zoox/nvidia-uvm-fix.sh
    mode: 0775

- name: add uvm fix unit
  copy:
    src: nvidia-uvm-fix.service
    dest: /etc/systemd/system/nvidia-uvm-fix.service
    mode: 0755
  notify: reload systemd config

- name: enable uvm fix
  systemd:
    state: started
    name: nvidia-uvm-fix
    enabled: yes
